/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ICodecOptions, IJsonCodec } from "../../codec/index.js";
import { ChangeEncodingContext, EncodedRevisionTag, FieldKindIdentifier, RevisionTag } from "../../core/index.js";
import { FieldBatchCodec } from "../chunked-forest/index.js";
import { TreeCompressionStrategy } from "../treeCompressionUtils.js";
import { FieldKindWithEditor } from "./fieldKindWithEditor.js";
import { EncodedModularChangeset } from "./modularChangeFormat.js";
import { ModularChangeset } from "./modularChangeTypes.js";
export declare function makeV0Codec(fieldKinds: ReadonlyMap<FieldKindIdentifier, FieldKindWithEditor>, revisionTagCodec: IJsonCodec<RevisionTag, EncodedRevisionTag, EncodedRevisionTag, ChangeEncodingContext>, fieldsCodec: FieldBatchCodec, { jsonValidator: validator }: ICodecOptions, chunkCompressionStrategy?: TreeCompressionStrategy): IJsonCodec<ModularChangeset, EncodedModularChangeset, EncodedModularChangeset, ChangeEncodingContext>;
//# sourceMappingURL=modularChangeCodecs.d.ts.map