/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ICodecFamily, ICodecOptions, IJsonCodec } from "../codec/index.js";
import { ChangeEncodingContext } from "../core/index.js";
import { EncodedModularChangeset, ModularChangeset } from "../feature-libraries/index.js";
import { EncodedSharedTreeChange } from "./sharedTreeChangeFormat.js";
import { SharedTreeChange } from "./sharedTreeChangeTypes.js";
export declare function makeSharedTreeChangeCodec(modularChangeCodec: IJsonCodec<ModularChangeset, EncodedModularChangeset, EncodedModularChangeset, ChangeEncodingContext>, codecOptions: ICodecOptions): IJsonCodec<SharedTreeChange, EncodedSharedTreeChange, EncodedSharedTreeChange, ChangeEncodingContext>;
export declare function makeSharedTreeChangeCodecFamily(modularChangeCodec: IJsonCodec<ModularChangeset, EncodedModularChangeset, EncodedModularChangeset, ChangeEncodingContext>, options: ICodecOptions): ICodecFamily<SharedTreeChange, ChangeEncodingContext>;
//# sourceMappingURL=sharedTreeChangeCodecs.d.ts.map